Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.business.intrahubcommons.exception
Class KmehrBusinessConnectorException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              be.ehealth.technicalconnector.exception.ConnectorException
                  be.ehealth.business.intrahubcommons.exception.IntraHubBusinessConnectorException
                      be.ehealth.business.intrahubcommons.exception.KmehrBusinessConnectorException

All Implemented Interfaces:
  Serializable

    public class KmehrBusinessConnectorException

extends IntraHubBusinessConnectorException

KmerhBusinessConnectorException contains the original list of ErrorType

See Also:
  Serialized Form

Constructor Summary
`KmehrBusinessConnectorException(IntraHubBusinessConnectorExceptionValues errorCodeValue, List<ErrorType> listOfErrorType, Object... params)` Creates a new KmehrBusinessConnectorException
`KmehrBusinessConnectorException(IntraHubBusinessConnectorExceptionValues errorCodeValue, Object... params)` Creates a new KmehrBusinessConnectorException
`KmehrBusinessConnectorException(IntraHubBusinessConnectorExceptionValues errorCodeValue, Throwable e, Object... params)` Creates a new KmehrBusinessConnectorException

Method Summary
`List<ErrorType>` | `getListOfErrorType()`

Methods inherited from class be.ehealth.technicalconnector.exception.ConnectorException
`getErrorCode`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### KmehrBusinessConnectorException

    public KmehrBusinessConnectorException(IntraHubBusinessConnectorExceptionValues errorCodeValue,
                                           Object... params)

  Creates a new KmehrBusinessConnectorException

  Parameters:
    `errorCodeValue` - the IntraHubBusinessConnectorExceptionValue
    `params` - the strings to complete to errorCodeValue message

### KmehrBusinessConnectorException

    public KmehrBusinessConnectorException(IntraHubBusinessConnectorExceptionValues errorCodeValue,
                                           Throwable e,
                                           Object... params)

  Creates a new KmehrBusinessConnectorException

  Parameters:
    `errorCodeValue` - the IntraHubBusinessConnectorExceptionValue
    `e` - the initial exception
    `params` - the strings to complete to errorCodeValue message

### KmehrBusinessConnectorException

    public KmehrBusinessConnectorException(IntraHubBusinessConnectorExceptionValues errorCodeValue,
                                           List<ErrorType> listOfErrorType,
                                           Object... params)

  Creates a new KmehrBusinessConnectorException

  Parameters:
    `errorCodeValue` - the IntraHubBusinessConnectorExceptionValue
    `listOfErrorType` - the list of ErrorType
    `params` - the strings to complete to errorCodeValue message

Method Detail

### getListOfErrorType

    public List<ErrorType> getListOfErrorType()

  Returns:
    the listOfErrorType

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Package PERSMIDWIFE 3.19.1 API
Copyright © {inceptionYear}-2020 eHealth. All Rights Reserved.